// components/banner/banner.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    data: {
      type: Array,
      value: null
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    index: 0,
    width: 0
  },

  ready: function () {
    this.setData({
      width: (this.data.index + 1) * (240 / this.properties.data.length)
    })
  },

  /**
   * 组件的方法列表
   */
  methods: {
    onSlideChangeEnd: function (e) {
      if (e.detail.current < 1) {
        this.data.index = 1;
      } else if (e.detail.current > this.data.data.length) {
        this.data.index = this.data.data.length;
      } else {
        this.data.index = e.detail.current + 1;
      }

      this.setData({
        width: (this.data.index) * (240.0 / this.properties.data.length)
      })
    },
    tapBannerAction: function (e) {
      const {
        currentIndex
      } = e.currentTarget.dataset;
      const tmp = this.data.data[currentIndex];

      if (parseInt(tmp.type) == 2 && tmp.appUrl.length) {
        wx.navigateTo({
          url: '/pages/webView/webView?webUrl=' + encodeURIComponent(tmp.appUrl)
        });
      } else if (parseInt(tmp.type) == 3 && tmp.appUrl.length) {
        wx.navigateTo({
          url: `/pages/houseDetail/houseDetail?id=${tmp.appUrl}`
        });
      }
    }
  }
})