const net = require('../../utils/net.js');
const util = require('../../utils/util.js');
const {
  api_video_hit
} = require('../../utils/api.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    data: null,
    selectIndex: 0,
    videoSrc: null,
    hidden: true,
    poster: null
  },
  pageData: {
    scrollTop: 0
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if (options && options.data) {
      const data = JSON.parse(decodeURIComponent(options.data));
      const status = options.status || 0;
      this.setData({
        data: data,
        selectIndex: status
      })
    }
  },

  onPageScroll: function (e) {
    if (this.data.hidden) {
      this.pageData.scrollTop = e.scrollTop;
    }
  },

  onReady: function () {
    wx.setNavigationBarTitle({
      title: '预览',
    })
  },

  tapAction: function () {
    this.setData({
      selectIndex: !this.data.selectIndex
    })
  },

  tapVideoAction: function (e) {
    const {
      currentIndex
    } = e.currentTarget.dataset;
    const obj = this.data.data.videos[currentIndex];
    this.hitVideoSee(obj.id);

    this.setData({
      videoSrc: obj.videoUrl,
      poster: obj.imageUrl,
      hidden: false
    })
  },

  hitVideoSee: function (videoId) {
    let params = {};
    params.url = api_video_hit;
    params.data = {
      id: videoId
    };
    net.req(params, true).then((data) => {}, (e) => {});
  },

  hiddenVideoToast: function () {
    this.setData({
      videoSrc: null,
      poster: null,
      hidden: true
    }, () => {
      if (wx.pageScrollTo && this.pageData.scrollTop > 0) {
        wx.pageScrollTo({
          scrollTop: this.pageData.scrollTop,
          duration: 0
        })
      }
    })
  },

  lookBigImage(e) {
    const {
      imageUrl
    } = e.currentTarget.dataset.index

    let imgArr = new Array()
    this.data.data.images.forEach(item => {
      imgArr.push(item.imageUrl)
    });
    wx.previewImage({
      current: imageUrl, // 当前显示图片的http链接
      urls: imgArr // 需要预览的图片http链接列表
    })
  }
})